<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$ucount = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."';"), 0);
$hran_time = mysql_result(mysql_query("SELECT (hran_time) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."';"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ucount==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Хранилище ресурсов</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="image" /><b> Альянс <font color="#4EEE94">['.$f['name'].']</font> | <font color="#FF0000">Хранилище</b></font></div>';
echo '<div class="razd"></div>';
	switch ($act) {
	default:
echo '<div class="top-nav"><img src="/images/images_main/metall.png" width="25px" alt="Металл" /> <b>Металл:</b> <span style="color: #fde859;float: right;margin-top: 3px;">'.$f['min'].'</span></div><div class="top-nav"><img src="/images/images_main/minerall.png" width="25px"  alt="Минерал" /> <b>Минерал:</b> <span style="color: #fde859;float: right;margin-top: 3px;">'.$f['gas'].'</span></div><div class="top-nav"><img src="/images/images_main/gelium.png" width="25px"  alt="Гелий" /> <b>Гелий:</b> <span style="color: #fde859;float: right;margin-top: 3px;">'.$f['metall'].'</span></div><div class="top-nav"><img src="/images/images_main/energi.png" width="25px"  alt="Энергия" /> <b>Энергия:</b> <span style="color: #fde859;float: right;margin-top: 3px;">'.$f['water'].'</span></div><div class="top-nav"><img src="/images/images_main/ozon.png" width="25px" alt="Озон" /> <b>Озон:</b> <span style="color: #fde859;float: right;margin-top: 3px;">'.$f['kred'].'</span></div><div class="top-nav"><img src="/images/images_main/trit.png" width="25px"  alt="Тритий" /> <b>Тритий:</b><span style="color: #fde859;float: right;margin-top: 3px;">'.$f['prov'].'</span></div>';
if($lvl_hero<20)echo '<div class="cont">Для того чтобы отправить ресурсы в хранилище ваш герой должен быть не менее 20 ур.</div>';
if($lvl_hero>=20 AND $realtime>=$hran_time)echo '<div class="razd"></div><div class="blok"><a href="?act=post&amp;f='.$f['id'].'">Отправить ресурсы</a></div><div class="razd"></div>';
if($lvl_hero>=20 AND $realtime<$hran_time)echo '<div class="cont">Отправлять ресурсы в хранилище фракции можно не чаще чем 1 раз в 24 часа. Повторите попытку '. dates($hran_time+86400) .'</div>';
break;

case 'post':
echo '<div class="blok">Отправить ресурсы</div><div class="razd"></div>';
$maxres=($lvl_hero*230);
if($lvl_hero>=20){
		if(!$_POST)
	{
	echo '<center><div class="window">Сегодня можно пополнить хранилище на <font color="#4EEE94">['.$maxres.']</font> каждого ресурса</div><div class="razd"></div></center>';
	echo '<center><div class="window">';
	echo '<form action="" method="POST">';
	echo '<img src="/images/images_main/metall.png" width="25px" alt="Металл" /> <input type="text" value="0" name="fmin" /><br/><img src="/images/images_main/minerall.png" width="25px"  alt="Минерал" /> <input type="text" value="0" name="fgas" /><br /><img src="/images/images_main/gelium.png" width="25px"  alt="Гелий" /> <input type="text" value="0" name="fmetall" /><br /><img src="/images/images_main/energi.png" width="25px alt="Энергия" /> <input type="text" value="0" name="fwater" /><br /><img src="/images/images_main/ozon.png" width="25px" alt="Озон" /> <input type="text" value="0" name="fkred" /><br /><img src="/images/images_main/trit.png" width="25px"  alt="Тритий" /> <input type="text" value="0" name="fprov" /><br/>
	<input type="submit" name="submit" value="Отправить"/></form>';
	echo '</div></center>';		
	}
	else
	{
			$fmin = check(trim($_POST['fmin']));
			$fgas = check(trim($_POST['fgas']));
			$fmetall = check(trim($_POST['fmetall']));
			$fwater = check(trim($_POST['fwater']));
			$fkred = check(trim($_POST['fkred']));
			$fprov = check(trim($_POST['fprov']));

		$error = false;

		if ($realtime<$hran_time)
			$error = $error . 'Повторите попытку '. dates($hran_time).'<br/>';
			
			
		if (empty($fmin))
			$error = $error . 'Не введено количество минералов!<br/>';
		elseif ($fmin > $min)
			$error = $error . 'У вас нет столько минералов!<br />';
		elseif ($fmin > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' минералов!<br />';
		elseif ($fmin < 0)
			$error = $error . 'Вы не ввели количество минералов!<br />';
		elseif (preg_match('/[^\d_]+/',$fmin))
			$error = $error . 'Недопустимые символы в кол-ве минералов!<br />';

			if (empty($fgas))
			$error = $error . 'Не введено количество газа Веспен!<br/>';
		elseif ($fgas > $gas)
			$error = $error . 'У вас нет столько газа Веспен!<br />';
		elseif ($fgas > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' газа Веспен!<br />';
		elseif ($fgas < 0)
			$error = $error . 'Вы не ввели количество газа Веспен!<br />';
		elseif (preg_match('/[^\d_]+/',$fgas))
			$error = $error . 'Недопустимые символы в кол-ве газа Веспен!<br />';

			if (empty($fmetall))
			$error = $error . 'Не введено количество металла!<br/>';
		elseif ($fmetall > $metall)
			$error = $error . 'У вас нет столько металла!<br />';
		elseif ($fmetall > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' металла!<br />';
		elseif ($fmetall < 0)
			$error = $error . 'Вы не ввели количество металла!<br />';
		elseif (preg_match('/[^\d_]+/',$fmetall))
			$error = $error . 'Недопустимые символы в кол-ве металла!<br />';
			
			if (empty($fwater))
			$error = $error . 'Не введено количество воды!<br/>';
		elseif ($fwater > $water)
			$error = $error . 'У вас нет столько воды!<br />';
		elseif ($fwater > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' воды!<br />';
		elseif ($fwater < 0)
			$error = $error . 'Вы не ввели количество воды!<br />';
		elseif (preg_match('/[^\d_]+/',$fwater))
			$error = $error . 'Недопустимые символы в кол-ве воды!<br />';	
			
			
			if (empty($fkred))
			$error = $error . 'Не введено количество кредитов!<br/>';
		elseif ($fkred > $kred)
			$error = $error . 'У вас нет столько кредитов!<br />';
		elseif ($fkred > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' кредитов!<br />';
		elseif ($fkred < 0)
			$error = $error . 'Вы не ввели количество кредитов!<br />';
		elseif (preg_match('/[^\d_]+/',$fkred))
			$error = $error . 'Недопустимые символы в кол-ве кредитов!<br />';				
		

			if (empty($fprov))
			$error = $error . 'Не введено количество провизии!<br/>';
		elseif ($fprov > $prov)
			$error = $error . 'У вас нет столько провизии!<br />';
		elseif ($fprov > $maxres)
			$error = $error . 'Можно отправить максимум '.$maxres.' провизии!<br />';
		elseif ($fprov < 0)
			$error = $error . 'Вы не ввели количество провизии!<br />';
		elseif (preg_match('/[^\d_]+/',$fprov))
			$error = $error . 'Недопустимые символы в кол-ве провизии!<br />';	
		
	  		if (empty($error))
		{
		mysql_query("UPDATE `fractions_users` SET `hran_time`='".($realtime+86400)."' WHERE `uid`='".$use_id."';");
		
		mysql_query("UPDATE `users` SET 
		`min`=min-'".($fmin)."',
		`gas`=gas-'".($fgas)."',
		`metall`=metall-'".($fmetall)."',
		`water`=water-'".($fwater)."',
		`kred`=kred-'".($fkred)."',
		`prov`=prov-'".($fprov)."' WHERE `id`='".$use_id."';");
		
		mysql_query("UPDATE `fractions` SET 
		`min`=min+'".($fmin)."',
		`gas`=gas+'".($fgas)."',
		`metall`=metall+'".($fmetall)."',
		`water`=water+'".($fwater)."',
		`kred`=kred+'".($fkred)."',
		`prov`=prov+'".($fprov)."' WHERE `id`='".$f['id']."';");
		
		
		
		echo '<div class="conts">Ресурсы отправлены в Хранилище ресурсов!</div>';
		 		}
		else
		{
		echo '<div class="blok"><b>' . $error. '</b></div><div class="razd"></div><div class="blok"><a href="hran.php?f='.$f['id'].'"><b>Хранилище ресурсов</b></a></div>';
		}
	}
	echo '';
	}
}
echo '<div class="razd"></div><div class="blok"><a href="fraction.php?f='.$f['id'].'"><b>Назад</b></a></div>';
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>